Moose::Autobox::Scalar(3)

NAME
Moose::Autobox::Scalar - the Scalar role

DESCRIPTION
This is a role to describes a Scalar value, which is defined as the combination (union sort of) of a String and a Number.

METHODS

meta
print
say
flatten
    Flattening a scalar just returns the scalar. This means that you can say:

      my @array = $input->flatten;

      # Given $input of 5, @array is (5);
      # Given $input of [ 5, 2, 0], @array is (5, 2, 0)

first
    As per flatten.

last
    As per flatten.

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.